# Scene

## Overview

The Scene settings allow you to tweak the viewport image and add reference objects for a better sense of scale as well as adjust environment factors like clods, water or atmosphere.

## Parameters

### Lighting

<table><thead><tr><th width="199.800048828125">Properties</th><th>Description</th></tr></thead><tbody><tr><td><strong>Sun Angle Horizontal</strong></td><td>Moves the sun horizontally.</td></tr><tr><td><strong>Sun Angle Vertical</strong></td><td>Moves the sun vertically.</td></tr><tr><td><strong>Pick Sun Position</strong></td><td>Allows you to place the sun in the sky. Can be useful for matching the scene lighting to a custom HDRI.</td></tr><tr><td><strong>Shadow Softness</strong></td><td>Makes the shadows caused by the sun softer.</td></tr><tr><td><strong>Sun Strength</strong></td><td>The intensity of the sun.</td></tr><tr><td><strong>Sky Strength</strong></td><td>The intensity of the sky. The sky acts as an ambient light, lighting areas not hit by the sun.</td></tr><tr><td><strong>Max Light Bounces</strong></td><td>The number of bounces the sunlight can take in the scene. Ideally, this is >1.</td></tr><tr><td><strong>Environment Map Enabled</strong></td><td>Allows you to add a custom HDRI to the scene.</td></tr><tr><td><strong>Environment Map</strong></td><td>The referenced HDRI map and its strength.</td></tr><tr><td><strong>Environment Lighting</strong></td><td>Enables HDRI lighting and allows you to change its strength.</td></tr></tbody></table>

### Clouds

<table><thead><tr><th width="199.800048828125">Properties</th><th>Description</th></tr></thead><tbody><tr><td><strong>Color</strong></td><td>Changes the color multiplier of the clouds.</td></tr><tr><td><strong>Quality</strong></td><td>Adjusts the quality of the clouds.</td></tr><tr><td><strong>Light Scattering</strong></td><td>Controls how much light affects the clouds.</td></tr><tr><td><strong>Coverage</strong></td><td>Controls how much of the terrain is covered by clouds.</td></tr><tr><td><strong>Density</strong></td><td>The density of the clouds. Higher values create thicker clouds.</td></tr><tr><td><strong>Scale</strong></td><td>The base scale of the noise generating the clouds.</td></tr><tr><td><strong>Detail Scale</strong></td><td>The scale of the detail noise used in the clouds.</td></tr><tr><td><strong>Height Scale</strong></td><td>Scales the clouds vertically.</td></tr><tr><td><strong>Height Offset</strong></td><td>Raises or lowers the clouds.</td></tr><tr><td><strong>Border</strong></td><td>Controls how far the clouds reach outside/inside the terrain borders.</td></tr><tr><td><strong>Atmosphere</strong></td><td>Adds atmospheric mist to the scene.</td></tr><tr><td><strong>Atmosphere Height</strong></td><td>The height of the atmospheric fog.</td></tr><tr><td><strong>Skylight Factor</strong></td><td>Controls how much the ambient skylight affects the atmosphere.</td></tr><tr><td><strong>Weather Scale</strong></td><td>Affects the scaling of the clouds.</td></tr><tr><td><strong>Offset X/Y</strong></td><td>Allows you to shift the clouds in the X/Y direction.</td></tr></tbody></table>

### Water

<table><thead><tr><th width="199.800048828125">Properties</th><th>Description</th></tr></thead><tbody><tr><td><strong>Surface Height</strong></td><td>Affects the visible depth and distortion of the water.</td></tr><tr><td><strong>Sea Level</strong></td><td>Changes the general height of the water level.</td></tr><tr><td><strong>Clarity</strong></td><td>Adjusts how see-through the water is.</td></tr><tr><td><strong>Color</strong></td><td>The color of the water.</td></tr><tr><td><strong>Coast Foam</strong></td><td>Adds coast foam to the water in the intersection area between water and land.</td></tr><tr><td><strong>Coast Foam Range</strong></td><td>How wide the coast foam will affect the water.</td></tr></tbody></table>

### Atmosphere

<table><thead><tr><th width="199.800048828125">Properties</th><th>Description</th></tr></thead><tbody><tr><td><strong>Strength</strong></td><td>Controls the strength of the world scale atmospheric effect. This affects the whole visible scene to the horizon.</td></tr><tr><td><strong>Scale</strong></td><td>The range the atmospheric effect has.</td></tr><tr><td><strong>Height</strong></td><td>The vertical scale of the atmospheric effect.</td></tr><tr><td><strong>Clamp Color</strong></td><td>Limits the color range of the atmosphere.</td></tr></tbody></table>

### Reference Object

You can set the position by hovering with the mouse cursor over the terrain while pressing **M** on your keyboard.

<table><thead><tr><th width="199.800048828125">Properties</th><th>Description</th></tr></thead><tbody><tr><td><strong>Enabled</strong></td><td>Adds a reference person at the 0,0 coordinates to the scene.</td></tr><tr><td><strong>Scale</strong></td><td>The scale of the reference person in meters.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.world-creator.com/reference/scene.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
